Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Interactor Class Reference

`#include <Interactor.h>`

Inherited by tlp::InteractorChainOfResponsibility.

Inheritance diagram for tlp::Interactor:

[legend]
List of all members.

## Detailed Description

Tulip interactor main class.

## Public Member Functions

- Interactor ()
- virtual ~Interactor ()
- virtual void setView (View *view)=0
- virtual void install (QWidget *)=0
- virtual void remove ()=0
- virtual void setConfigurationWidgetText (const QString &text)
- virtual QWidget * getConfigurationWidget ()
- virtual bool isCompatible (const std::string &viewName)=0
- int getPriority ()
- void setPriority (int number)
- virtual InteractorAction * getAction ()=0
- virtual void compute (GlMainWidget *)=0
- virtual void draw (GlMainWidget *)=0

## Protected Attributes

- int priority
- QString configurationWidgetText

## Constructor & Destructor Documentation

tlp::Interactor::Interactor | ( |  | ) | `[inline]`

| Default constructor

virtual tlp::Interactor::~Interactor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::Interactor::compute | ( | GlMainWidget * |  | ) | `[pure virtual]`

| Compute InteractorComponents include in this interactor Implemented in tlp::InteractorChainOfResponsibility.

virtual void tlp::Interactor::draw | ( | GlMainWidget * |  | ) | `[pure virtual]`

| Draw InteractorComponents include in this interactor Implemented in tlp::InteractorChainOfResponsibility.

virtual InteractorAction* tlp::Interactor::getAction | ( |  | ) | `[pure virtual]`

| return QAction of this interactor Implemented in tlp::InteractorChainOfResponsibility.

virtual QWidget* tlp::Interactor::getConfigurationWidget | ( |  | ) | `[virtual]`

| return widget of configuration of this interactor if you previouly call setHtmlText, getConfigurationWidget return a QTextEdit with this text

int tlp::Interactor::getPriority | ( |  | ) | `[inline]`

| Return the menu display priority

virtual void tlp::Interactor::install | ( | QWidget * |  | ) | `[pure virtual]`

| Install eventFilters of interactor on given widget Implemented in tlp::InteractorChainOfResponsibility.

virtual bool tlp::Interactor::isCompatible | ( | const std::string & | viewName | ) | `[pure virtual]`

| return if this interactor is compatible with given View Implemented in tlp::NodeLinkDiagramComponentInteractor.

virtual void tlp::Interactor::remove | ( |  | ) | `[pure virtual]`

| Remove eventFilters of interactor Implemented in tlp::InteractorChainOfResponsibility.

virtual void tlp::Interactor::setConfigurationWidgetText | ( | const QString & | text | ) | `[virtual]`

| set html text displayed by configuration widget

void tlp::Interactor::setPriority | ( | int | number | ) | `[inline]`

| Set the menu display priority

virtual void tlp::Interactor::setView | ( | View * | view | ) | `[pure virtual]`

| Set the view attached with this interactor Implemented in tlp::InteractorChainOfResponsibility.

## Member Data Documentation

QString tlp::Interactor::configurationWidgetText`[protected]`

int tlp::Interactor::priority`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010